using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Test
{
    internal class Program
    {
        static bool neopadajuci(int n, int[] a)
        {
            for (int i = 0; i < n - 1; i++)
            {
                if (a[i] > a[i + 1])
                {
                    return false;
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            a = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
            int q = int.Parse(Console.ReadLine());
            for (int i = 1; i <= q; i++)
            {
                int l, r;
                string[] s = Console.ReadLine().Split(' ');
                l = int.Parse(s[0]);
                r = int.Parse(s[1]);
                int br = 0;
                l--;
                r--;
                if (a[l] > a[l + 1])
                {
                    br++;
                }
                if (a[r] < a[r - 1])
                {
                    br++;
                }
                for (int j = l + 1; j < r; j++)
                {
                    if (a[j] > a[j - 1] && a[j] > a[j + 1])
                    {
                        br++;
                    }
                    if (a[j] == a[j - 1] && a[j] > a[j + 1])
                    {
                        br+=2;
                    }
                }
                if (br > 1)
                {
                    Console.WriteLine("NE");
                }
                else
                {
                    Console.WriteLine("DA");
                }
            }
            Console.ReadLine();
        }
    }
}